Bug 991042 - webadmin: login: in case of login error, error-message key is displayed (instead of error-message value)
webadmin: login: in case of login error, error-message key is displayed (inst...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Alexander Wels
Pavel Novotny
ux
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 09:14 EDT by Einav Cohen
Modified: 2016-01-28 16:57 EST (History)
8 users (show)

See Also:
Fixed In Version: is9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen-shot: login page (25.40 KB, image/png)
2013-08-01 09:15 EDT, Einav Cohen
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17589 None None None Never
oVirt gerrit 18294 None None None Never

  None (edit)
Description Einav Cohen 2013-08-01 09:14:30 EDT
Description of problem:
An error key is displayed (instead of an error value) upon a failure to login.

Version-Release number of selected component (if applicable):
rhev-3.3 (IS8)

How reproducible:


Steps to Reproduce:
1. browse to the web-admin / login-page
2. fill wrong credentials
3. hit the "Login" button

Actual results:
"USER_FAILED_TO_AUTHENTICATE" red label is being displayed at the bottom part of the login dialog.


Expected results:
"Login failed. Please verify your login information or contact the system administrator." red label should be displayed at the bottom part of the login dialog.

Additional info:
a similar problem (introduced by the Frontend Refactoring patch [http://gerrit.ovirt.org/#/c/15399/]) has been discovered and resolved, there is a chance that specifically the login scenario was left out.
Comment 1 Einav Cohen 2013-08-01 09:15:14 EDT
Created attachment 781582 [details]
screen-shot: login page
Comment 2 Alexander Wels 2013-08-01 11:44:13 EDT
Yes, the login was missed.
Comment 3 Pavel Novotny 2013-08-02 05:43:50 EDT
Confirming the bug, this case is also tracked by QE automation.
Comment 4 Pavel Novotny 2013-08-12 05:43:59 EDT
Verified in rhevm-3.3.0-0.14.master.el6ev (IS19.1).

After entering invalid credentials, proper error message [1] is displayed again, instead of the "USER_FAILED_TO_AUTHENTICATE" text.

[1] "Login failed. Please verify your login information or contact the system administrator."
Comment 5 Itamar Heim 2014-01-21 17:20:53 EST
Closing - RHEV 3.3 Released
Comment 6 Itamar Heim 2014-01-21 17:26:25 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.